> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-devin-1787949784-wallet-docs-two-concept-model.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Wallet

> Send funds to a wallet.

**API scope required**: `wallets.fund`

<Snippet file="alpha-api-note.mdx" />

<Note>This endpoint is only available in **staging** and only supports **USDXM**.</Note>


## OpenAPI

````yaml post /v1-alpha2/wallets/{walletLocator}/balances
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Wallets API
  title: Crossmint Wallets API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
  - description: Production environment (mainnets)
    url: https://www.crossmint.com/api
security: []
tags: []
paths:
  /v1-alpha2/wallets/{walletLocator}/balances:
    post:
      summary: Fund Wallet
      description: |-
        Send funds to a wallet.

        **API scope required**: `wallets.fund`
      operationId: BalanceController-fundWallet-4
      parameters:
        - description: API key required for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - description: >-
            A wallet locator can be of the format:

            - `<walletAddress>`

            - `email:<email>:<walletType>`

            - `userId:<userId>:<walletType>`

            - `userId:<userId>:<walletType>` (white label user example)

            - `phoneNumber:<phoneNumber>:<walletType>`

            - `twitter:<handle>:<walletType>`

            - `x:<handle>:<walletType>`

            - `me:<walletType>` (Use when calling from the client side with a
            client API key)
          in: path
          name: walletLocator
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundWalletAmountDTO'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalanceResponseDTO'
          description: Funds sent successfully.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletV1Alpha2ErrorDTO'
          description: >-
            Returns an error (404) if a wallet with the specified locator not
            found
components:
  schemas:
    FundWalletAmountDTO:
      properties:
        amount:
          description: The amount of currency to fund the wallet with. Between 1 and 100
          example: 10
          maximum: 100
          minimum: 1
          type: number
        chain:
          description: The chain to fund the wallet with
          enum:
            - arbitrum-sepolia
            - avalanche-fuji
            - base-sepolia
            - ethereum-sepolia
            - optimism-sepolia
            - polygon-amoy
            - sei-atlantic-2-testnet
            - skale-nebula-testnet
            - solana
            - soneium-minato-testnet
            - stellar
            - viction-testnet
          example: base-sepolia
          type: string
        token:
          description: The currency to fund the wallet with. Only USDXM is supported.
          enum:
            - usdxm
          example: usdxm
          type: string
      required:
        - amount
        - chain
        - token
      type: object
    WalletBalanceResponseDTO:
      description: The balances of the wallet
      example:
        balances:
          base: '121000000'
          ethereum: '121000000'
          total: '242000000'
        decimals: 6
        token: usdc
      items:
        properties:
          balances:
            additionalProperties:
              type: string
            description: The balance of the wallet in different chains
            type: object
          decimals:
            description: The number of decimals of the token
            example: 18
            type: number
          token:
            description: The token
            enum:
              - alphausd
              - ape
              - apt
              - avax
              - betausd
              - bnb
              - bonk
              - busd
              - chz
              - coti
              - credit
              - degen
              - eth
              - eurc
              - flow
              - fuel
              - hbar
              - ip
              - matic
              - mgusd
              - mnt
              - pathusd
              - phantom-cash
              - pirate
              - plume
              - pol
              - pyusd0
              - sei
              - sfuel
              - sol
              - sui
              - superverse
              - thetausd
              - u2u
              - usdc
              - usdce
              - usdf
              - usdg
              - usdm0
              - usdm1
              - usdt
              - usdxm
              - vic
              - weth
              - wirex-usdc
              - wirex-usdc
              - wld
              - xai
              - xion
              - xlm
              - xmeme
              - zcx
            example: eth
            type: string
        required:
          - balances
          - decimals
          - token
        type: object
      type: array
    WalletV1Alpha2ErrorDTO:
      properties:
        code:
          description: >-
            Optional stable error code identifying the specific failure case.
            Present when the backend raises a structured error that consumers
            may want to detect programmatically.
          example: DEVICE_SIGNER_NOT_SUPPORTED
          type: string
        error:
          enum:
            - true
          type: boolean
        message:
          description: Error message
          example: <error message>
          type: string
      required:
        - error
        - message
      type: object

````